function dibujarcolor(Matriz),
% Dibujo de un tamiz de colores dados por una matriz 
%
% dibujarcolor(Matriz);
% 
% Matriz:   Matriz con los colores que se quieren pintar en las posiciones 
%           (i,j). El color del rectángulo (i,j) viene dado por
%           Matriz(i,j,:). Corresponde a una triada de valores RBG (0..255)
%
% El tamaño del rectángulo es de 1x1.
%

% APRENDIZAJE AUTOMÁTICO (Gonzalo Pajares y Jesús M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 4: Redes Neuronales Artificiales
% Autores: José Antonio López Orozco


tam=size(Matriz);
ancho=1;
alto=1;

for i=1:tam(1),
    for j=1:tam(2),
        x=i*ancho; 
        y=j*alto;
        rectangle('Position',[x,y,ancho,alto],'FaceColor',Matriz(i,j,:)/255);
    end;
end;